### Constructor

# WPEWebKit NetworkSession new_ephemeral

since: 2.40

#### Declaration [src]

    WebKitNetworkSession*
    webkit_network_session_new_ephemeral (
      void
    )

#### Description [src]

Creates a new `WebKitNetworkSession` with an ephemeral `WebKitWebsiteDataManager`.

Available since: 2.40

#### Return value

Type: `WebKitNetworkSession`

A new ephemeral `WebKitNetworkSession`.

The caller of the function takes ownership of the data, and is responsible for freeing it.